@import url('https://fonts.googleapis.com/css2?family=Heebo:wght@300&display=swap');
/* Dev-Tools
==================================== */
/* section>div{
    border-radius: 1em;
    border: 1px dashed grey;
}
section{
    border-radius: 0.2em;
    border: 1px dotted  blue;
}
nav{
    border: 1px dotted green;
}
div{
    border-radius: 0.2em;
    border: 1px dotted  red;
} */
/* Globals
==================================== */
:root {
    --page-max-width: 1440px;

    --color-primary-honey: rgb(255, 222, 0);
    --color-primary-nordic: rgb(0, 170, 230);
    --color-primary-london: rgb(214, 198, 198);
    --color-black: rgb(0, 0, 0);
    --color-white: rgba(247, 248, 249, 0.9);
    --color-gray-dark: rgb(45, 53, 58);
    --color-gray-light: rgba(131, 134, 114, 0.103);
    --color-accent-1: rgb(145, 217, 248);
    --color-accent-2: rgb(247, 175, 202);
    --color-success: rgb(159, 255, 0);

    --bg-light: var(--color-white);
    --bg-dark: var(--color-black);

    --text-light: var(--color-white);
    --text-dark: var(--color-black);
    --text-attention: var(--color-primary-1);
    --text-honey: var(--color-accent-1);
    --text-nordic: var(--color-accent-2);

    --box-shadow: 0 1px 3px rgba(0,0,0,0.12), 0 1px 2px rgba(0,0,0,0.24);
    --box-transition: all 0.3s cubic-bezier(.25,.8,.25,1);
    --box-shadow-hover: 0 14px 28px rgba(0,0,0,0.25), 0 10px 10px rgba(0,0,0,0.22);
    --box-shadow-navbar: 0 4px 2px -2px rgba(0,0,0,.2);

    --font-primary: 'Heebo', sans-serif;

    --navbar-height: 3.5rem;
    --distance-between: 1.5em;    

    --bottle-front-honey-cut: url('./img/bottle_front_honey_cut.png');
    --img-hero: url('./img/img-hero.png');
    --img-gingilla-yellow: url('./img/img-gingilla-honey.png');
}
/* General Settings
==================================== */
body{
    font-family: var(--font-primary);
}
*>* {
    box-sizing: border-box;
    padding: 0;
    margin: 0;
}
*{
    line-height: 1.5em;
}
header{
    background: var(--color-black	);    
    color: var(--color-white);
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.15);
    position: fixed;
    top: 0; left:0;
    min-width: 100%;
    max-width: var(--page-max-width);
}
header>*,footer>*,main{
    padding-top: 0.5em;
    padding-left: 1rem;
    padding-right: 1rem;
    margin-left: auto;
    margin-right: auto;
    max-width: var(--page-max-width);
}
header+main{
    /* margin-top: var(--navbar-height); */
    margin-top: calc(var(--navbar-height) + var(--distance-between));
    /* padding-top: 1.5em; */
}
header a, footer a{
    text-decoration: none;
    /* color: var(--color-gray-dark); */
    color: var(--color-white)
}
nav{
    height: var(--navbar-height);
}
nav h1{
    font-size: 1.55em;
    font-weight: 600;
    letter-spacing: 0.4em;
    text-transform: uppercase;
}
section,nav+*,main+*,section+* {
    /* padding-top: 1.5em; */
    padding: 1.5em 0;
}
ul{
    list-style-type: none;
}
a{
    text-decoration: none;
    color: var(--color-primary-nordic);
}
a:hover{
    color: var(--color-primary-honey);
}
i{
   padding-right: .5em; 
}
button{
    background-color: transparent;
    border: 1px solid;
    border-color: var(--color-primary-nordic);
    width: 15rem;
    height: 2rem;
    display: flex;
    margin-left: auto;
    justify-content: center;
    align-items: center;
}
section+input{
    background-color: transparent;
    border: 1px solid;
    border-color: var(--color-primary-nordic);
    width: 15rem;
    height: 2rem;
    display: flex;
    margin-left: auto;
    justify-content: center;
    align-items: center;
}
button:hover{
    background-color: var(--color-primary-nordic);
}
h1 {
    letter-spacing: .1em;
    line-height: 1.5em;
}
footer{
    background: var(--color-black);
    height: var(--navbar-height);
    width: 100%;
    position: fixed;
    bottom:0;
}
/* Boxes
==================================== */
.flex{
    display: flex;
}
.flex-row{
    flex-direction: row;
}
.flex-column{
    flex-direction: column;
}
.flex-grow{
    flex-grow: 1;
}
.flex-start{
    justify-content: flex-start;
}
.flex-end{
    align-items: flex-end;
}
.flex-center{
    align-items: center;
}
.flex-align-center{
    align-self: center;
}
.flex-space-between{
    justify-content: space-between;
}
.justify-center{
    justify-content: center;
}
/* Grid
==================================== */
.grid {
    display: grid;
    column-gap: 2.5em;
    row-gap: 1.5em;
}
.grid-2{
    grid-template-columns: repeat(2, minmax(0, 1fr));
}
.grid-3{
    grid-template-columns: repeat(3, minmax(0, 1fr));
}
/* Text
==================================== */
.text-sm{
    font-size: 0.8em;
}
.text-md{
    font-size: 1em;
}
.text-lg{
    font-size: 1.5em;
}
.text-xl{
    font-size: 2em;
    line-height: 3rem;
}
.text-2xl{
    font-size: 4em;
}
.text-right{
    text-align: right;
}
.text-center{
    text-align: center;
}
/* Header
==================================== */
.top-bar ul>li{
    padding-left: 1.5em;
}
.top-bar ul{
    justify-content: end;
}
.menu{
    width: 100%;
    position: static;
}
.menu ul{
    height: 100%;
    justify-content: flex-end;
}
.menu ul>li{
    padding-left: 4em;
    text-align: center;
}
.toggle-btn{
    display: none;
}
/* Hero Section
==================================== */
#hero-img{
    /* margin-top: 2.5em; */
    background: var(--img-hero);
    background-repeat: no-repeat;
    background-position-x: center;
    background-position-y: bottom;
    background-size: contain;
}
.hero p {
    text-transform: capitalize;
    font-weight: 600;
    letter-spacing: .21em;
    white-space: nowrap;
    overflow: visible;
    z-index: 1;
    transition: .1s;
}
.hero img {
    padding-top: 1.5em;
    margin-bottom: auto;
    margin-left:0;
    width: 20em;
    /* filter: invert(100%); */
}
/* About
==================================== */
.about{
    text-align:center;
    max-width: calc(2*var(--page-max-width)/3);
    display: flex;
    align-items: center;
    margin-left: auto;
    margin-right: auto;
}
.about img{
    width: 2.5em;
}
.about p{
    padding: 1em 0;
}
.about:last-child{
    padding-bottom: 1.5em;
}
/* Shop
==================================== */
.shop>div{
    display: grid;
    grid-template-rows: 2fr 3fr;
    min-height: 30rem;
}
.nordic{
    background-image: url('./img/bottle_nordic_front.png');
}
.honey{
    background-image: url('./img/bottle_honey_front.png');
}
.london{
    background-image: url('./img/bottle_london_front.png');
}
.nordic:hover{
    background-image: url('./img/bottle_nordic_back.png');
}
.honey:hover{
    background-image: url('./img/bottle_honey_back.png');
}
.london:hover{
    background-image: url('./img/bottle_london_back.png');
}
.card-img{
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
}
.card-text{
    display: grid;
    grid-template-rows: 2fr 2fr 1fr;
}
.price{
    font-weight: 900;
}
.card-text p+div{
    padding-top: 1em;
}
/* Media Queries
==================================== */
@media (max-width: 768px) {
    .grid-1{
        grid-template-columns: repeat(1, minmax(0, 1fr));
    }
    .text-lg{
        font-size: 1em;
    }
    .top-bar{
        display: none;
    }
    .menu{
        max-height: 0;
        overflow-y: hidden;
        transition: .5s;
    }
    .active{
        max-height: 50vh;
    }
    .text-white{
        color: var(--color-white);
    }
    header{
        margin-left:0;
        margin-right: 0;
    }
    nav{
        flex-direction: column;
        height: 100%;
    }
    nav div{
        padding:0;
    }
    header + main{
        margin-top: var(--navbar-height);
        /* margin-top: calc(var(--navbar-height) + var(--distance-between)); */
    }
    .menu ul{
        flex-direction: column;
        align-items: flex-end;
        text-align: right;
    }
    .menu ul>li{
        padding-top:1em;
        padding-right: 0em;
    }
    .menu ul>li:last-child{
        padding-bottom:1em;
    }
    .toggle-btn{
        display: block;
        font-size: 2em;
    }
}
/* Icons
==================================== */
.icon{
    width: 2em;
    stroke-width: 1.2px;
    padding-right: 0.5em;
}
.chevron-down{
    fill: var(--color-primary-honey);
    width: 2.5em;
}
.clock{
    width: 2.7em;
    stroke: var(--color-primary-honey);
    padding-right: 0.5em;
}